## net.sf.saxon.expr
Interface StatefulMappingFunction

All Known Implementing Classes:
  ForExpression.MappingAction

    public interface StatefulMappingFunction

MappingFunction is an interface that must be satisfied by an object passed to a MappingIterator. StatefulMappingFunction is a sub-interface representing a mapping function that maintains state information, and which must therefore be cloned when the mapping iterator is cloned.

Method Summary
`StatefulMappingFunction` `getAnother()` Return a clone of this MappingFunction, with the state reset to its state at the beginning of the underlying iteration

Method Detail

### getAnother

    StatefulMappingFunction getAnother()

  Return a clone of this MappingFunction, with the state reset to its state at the beginning of the underlying iteration

  Returns:
    a clone of this MappingFunction

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.